Altimax\Apidae\Core\Entity\SitraCritereInterne:
    type: entity
    table: sitra_critere_interne
    repositoryClass: Altimax\Apidae\Core\Repository\SitraCritereInterne
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: 'id SITRA du critère interne'
            id: true
            generator:
                strategy: IDENTITY
    fields:
        critereInterneSitraId:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            column: critere_interne_sitra_id
        libelle:
            type: string
            nullable: false
            length: 255
            fixed: false
            comment: Libellé
        commentaire:
            type: text
            nullable: true
            length: null
            fixed: false
            comment: Commentaire
        sitewebid:
            type: integer
            nullable: false
            unsigned: false
            comment: 'Correspond à l''indentifiant sitra du site. Les clients peuvent en avoir plusieurs.'
            column: siteWebId
        toDelete:
            type: boolean
            nullable: false
            comment: ''
            default: '0'
            column: to_delete
    manyToMany:
        objet:
            targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
            cascade: {  }
            mappedBy: critereInterne
            inversedBy: null
            joinTable: null
            orderBy: null
            fetch: EXTRA_LAZY
    lifecycleCallbacks: {  }
